import { useNavigate, useParams } from '@/router'
import InjectMessageView from '@/views/InjectMessageView'

const Page = () => {
  const { teamId, exerciseId, channelId, actionLogId } = useParams(
    '/instructor/:exerciseId/:teamId/:channelId/info/:actionLogId'
  )
  const nav = useNavigate()

  return (
    <InjectMessageView
      teamId={teamId}
      exerciseId={exerciseId}
      actionLogId={actionLogId}
      onBack={() =>
        nav(`/instructor/:exerciseId/:teamId/:channelId/info`, {
          params: {
            teamId,
            exerciseId,
            channelId,
          },
        })
      }
    />
  )
}

export default Page
